Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class XMLLogin

`java.lang.Object
oracle.toplink.sessions.DatasourceLogin
oracle.toplink.sdk.SDKLogin
oracle.toplink.xml.XMLLogin`

All Implemented Interfaces:
  java.lang.Cloneable, Login, java.io.Serializable

Direct Known Subclasses:
  XMLFileLogin, XMLStreamLogin

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class XMLLogin
extends SDKLogin

`XMLLogin` adds a little protocol to make it look like we are dealing with XML documents and elements instead of database rows and fields.

Since:
  TOPLink/Java 3.0
See Also:
  `XMLPlatform`, `XMLAccessor`, Serialized Form

Field Summary

Fields inherited from class oracle.toplink.sessions.DatasourceLogin
`CONCURRENT_READ_WRITE, SYNCHRONIZED_READ_ON_WRITE, SYNCHRONIZED_WRITE, SYNCRONIZED_OBJECT_LEVEL_READ_WRITE, SYNCRONIZED_OBJECT_LEVEL_READ_WRITE_DATABASE, versionString`

Constructor Summary
`XMLLogin()` Deprecated. Default constructor.
`XMLLogin(Platform platform)` Deprecated. Construct a login for the specifed platform

Method Summary
`java.lang.String` | `getSequenceCounterElementName()` Deprecated. PUBLIC: Return the name of the element in the TopLink sequence documents that holds the current value for a given sequence (e.g.
`java.lang.String` | `getSequenceNameElementName()` Deprecated. PUBLIC: Return the name of the element in the TopLink sequence documents that holds the name for a given sequence (e.g.
`java.lang.String` | `getSequenceRootElementName()` Deprecated. PUBLIC: Return the name of the root element in the TopLink sequence documents.
`XMLPlatform` | `getXMLPlatform()` Deprecated. Return the platform cast to XML.
`void` | `setAccessorClass(java.lang.Class accessorClass)` Deprecated. Set the class of the accessor to be built.
`void` | `setSequenceCounterElementName(java.lang.String name)` Deprecated. PUBLIC: Set the name of the element in the TopLink sequence documents that holds the current value for a given sequence (e.g.
`void` | `setSequenceNameElementName(java.lang.String name)` Deprecated. PUBLIC: Set the name of the element in the TopLink sequence documents that holds the name for a given sequence (e.g.
`void` | `setSequenceRootElementName(java.lang.String name)` Deprecated. PUBLIC: Set the name of the root element in the TopLink sequence documents.

Methods inherited from class oracle.toplink.sdk.SDKLogin
`buildAccessor, getAccessorClass, invalidAccessClass, toString`

Methods inherited from class oracle.toplink.sessions.DatasourceLogin
`addSequence, dontUseExternalConnectionPooling, dontUseExternalTransactionController, getCacheTransactionIsolation, getConnector, getDatasourcePlatform, getDefaultSequence, getPassword, getProperty, getSequence, getSequencePreallocationSize, getSequences, getTableQualifier, getUserName, getVersion, removeAllSequences, removeProperty, removeSequence, setCacheTransactionIsolation, setConnector, setDatasourcePlatform, setDefaultNullValue, setDefaultSequence, setEncryptedPassword, setEncryptionClassName, setPassword, setProperties, setProperty, setSelectSequenceNumberQuery, setSequencePreallocationSize, setTableQualifier, setTimestampQuery, setUpdateSequenceQuery, setUserName, setUsesExternalConnectionPooling, setUsesExternalTransactionController, shouldUseExternalConnectionPooling, shouldUseExternalTransactionController, useExternalConnectionPooling, useExternalTransactionController, usePlatform`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLLogin

    public XMLLogin()

  Deprecated.
  Default constructor.

### XMLLogin

    public XMLLogin(Platform platform)

  Deprecated.
  Construct a login for the specifed platform

Method Detail

### getXMLPlatform

    public XMLPlatform getXMLPlatform()

  Deprecated.
  Return the platform cast to XML.

### getSequenceCounterElementName

    public java.lang.String getSequenceCounterElementName()

  Deprecated.
  PUBLIC: Return the name of the element in the TopLink sequence documents that holds the current value for a given sequence (e.g. "SEQ_COUNT"). TopLink uses the sequence documents to generate unique object IDs.

### getSequenceNameElementName

    public java.lang.String getSequenceNameElementName()

  Deprecated.
  PUBLIC: Return the name of the element in the TopLink sequence documents that holds the name for a given sequence (e.g. "SEQ_NAME"). TopLink uses the sequence documents to generate unique object IDs.

### getSequenceRootElementName

    public java.lang.String getSequenceRootElementName()

  Deprecated.
  PUBLIC: Return the name of the root element in the TopLink sequence documents. TopLink uses a sequence documents to generate unique object IDs.

### setAccessorClass

    public void setAccessorClass(java.lang.Class accessorClass)

  Deprecated.
  Set the class of the accessor to be built.
  Overrides:
    `setAccessorClass` in class `SDKLogin`

### setSequenceCounterElementName

    public void setSequenceCounterElementName(java.lang.String name)

  Deprecated.
  PUBLIC: Set the name of the element in the TopLink sequence documents that holds the current value for a given sequence (e.g. "SEQ_COUNT"). TopLink uses the sequence documents to generate unique object IDs.

### setSequenceNameElementName

    public void setSequenceNameElementName(java.lang.String name)

  Deprecated.
  PUBLIC: Set the name of the element in the TopLink sequence documents that holds the name for a given sequence (e.g. "SEQ_NAME"). TopLink uses the sequence documents to generate unique object IDs.

### setSequenceRootElementName

    public void setSequenceRootElementName(java.lang.String name)

  Deprecated.
  PUBLIC: Set the name of the root element in the TopLink sequence documents. TopLink uses a sequence documents to generate unique object IDs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD